ruby-gnuplot_2.6.2-2_all.deb


Advertisement

Description

ruby-gnuplot - Ruby library to interact with gnuplot

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-gnuplot
Package version 2.6.2
Package release 2
Package architecture all
Package type deb
Installed size 48 B
Download size 21.28 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-gnuplot_2.6.2-2_all.deb 2.6.2 all Debian Main
ruby-gnuplot - - -

Requires

Name Value
gnuplot -
ruby -
ruby-interpreter -

Download

Type URL
Binary Package ruby-gnuplot_2.6.2-2_all.deb
Source Package ruby-gnuplot

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-gnuplot deb package:
    # sudo apt-get install ruby-gnuplot

Files

Path
/usr/lib/ruby/vendor_ruby/gnuplot.rb
/usr/share/doc/ruby-gnuplot/README.textile.gz
/usr/share/doc/ruby-gnuplot/changelog.Debian.gz
/usr/share/doc/ruby-gnuplot/changelog.gz
/usr/share/doc/ruby-gnuplot/copyright
/usr/share/doc/ruby-gnuplot/examples/3d_surface_plot.rb
/usr/share/doc/ruby-gnuplot/examples/discrete_points.rb
/usr/share/doc/ruby-gnuplot/examples/histogram.rb
/usr/share/doc/ruby-gnuplot/examples/multiple_data_sets.rb
/usr/share/doc/ruby-gnuplot/examples/output_image_file.rb
/usr/share/doc/ruby-gnuplot/examples/sin_wave.gif
/usr/share/doc/ruby-gnuplot/examples/sin_wave.rb
/usr/share/rubygems-integration/all/specifications/gnuplot-2.6.2.gemspec

Changelog

2015-08-18 - Lucas Nussbaum <lucas@debian.org>
ruby-gnuplot (2.6.2-2) unstable; urgency=medium
[ Cédric Boutillier ]
* Use canonical URI in Vcs-* fields.
[ Lucas Nussbaum ]
* Add patch 0002-Use-RbConfig-instead-of-Config-for-Ruby-2.2-compatib.patch.
Closes: #795042
* Refresh packaging using dh-make-ruby
+ Bump Standards-Version
2013-05-07 - Cédric Boutillier <boutil@debian.org>
ruby-gnuplot (2.6.2-1) unstable; urgency=low
* New upstream version
+ the output can be now saved to an instance variable (Closes: #626984) 
* debian/control:
+ remove obsolete DM-Upload-Allowed flag
+ bump standards-version to 3.9.4 (no changes needed)
+ update my email address in Uploaders: field
+ drop obsolete transition packages libgnuplot-ruby*
2012-06-26 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-gnuplot (2.4.1-2) unstable; urgency=low
* Bump build dependency on gem2deb to >= 0.3.0~
2012-06-11 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-gnuplot (2.4.1-1) unstable; urgency=low
* New upstream version 
* Add myself to Uploaders:
* Bump Standards-Version to 3.9.3 (no changes needed)
* Update copyright to DEP-5 copyright-format/1.0
* Refresh fix-tests.patch
* Clean examples/sine_wave.gif generated from tests
* Override lintian warning about duplicate description of transitional
packages
* Set priority of transitional packages to extra
* Replace Conflicts: by Breaks: for relation with transitional packages
2011-06-04 - Lucas Nussbaum <lucas@debian.org>
ruby-gnuplot (2.3.6-1) unstable; urgency=low
* Switch to gem2deb-based packaging.
2007-12-24 - Lucas Nussbaum <lucas@lucas-nussbaum.net>
libgnuplot-ruby (2.2-5) unstable; urgency=low
[ Arnaud Cornet ]
* Use new Homepage dpkg header.
[ Lucas Nussbaum ]
* Added Vcs-Svn and Vcs-Browser.
* fixed Vcs-*: point to dir containing debian/, not dir containing
trunk/
* Upgraded to policy 3.7.3. No changes needed.
2007-04-15 - Lucas Nussbaum <lucas@lucas-nussbaum.net>
libgnuplot-ruby (2.2-4) unstable; urgency=low
* Stopped using the "Uploaders rule".
2006-11-16 - Lucas Nussbaum <lucas@lucas-nussbaum.net>
libgnuplot-ruby (2.2-3) unstable; urgency=low
* Upgraded to policy 3.7.2, no changes required.
* Fixed require calls in examples. Closes: #398946.
2006-03-23 - Lucas Nussbaum <lucas@lucas-nussbaum.net>
libgnuplot-ruby (2.2-2) unstable; urgency=low
* Added debian/watch file.
* Set Uploaders to RUBY_EXTRAS_TEAM and changed build-dep on ruby-pkg-
tools to >= 0.8.
* Set the Maintainer field to me. I will be mainly responsible for
this package.
2006-01-16 - Lucas Nussbaum <lucas@lucas-nussbaum.net>
libgnuplot-ruby (2.2-1) unstable; urgency=low
* Initial release Closes: #348430

See Also

Package Description
ruby-gobject-introspection_3.3.0-1_amd64.deb GObject Introspection bindings for the Ruby language
ruby-god_0.13.7-3_amd64.deb Fully configurable process monitoring
ruby-gollum-lib_4.2.7.5-3_all.deb simple, Git-powered wiki
ruby-gollum-rugged-adapter_0.4.4.1-2_all.deb Adapter for Gollum to use Rugged (libgit2) at the backend
ruby-gon_6.2.1-1_all.deb Ruby library to send data to JavaScript from a Ruby application
ruby-google-api-client_0.19.8-1_all.deb Client for accessing Google APIs
ruby-google-protobuf_3.6.1-4_amd64.deb Protocol Buffers
ruby-googleapis-common-protos-types_1.0.1-1_all.deb Common protobuf types used in Google APIs
ruby-googleauth_0.5.1-2_all.deb Google Auth Library for Ruby
ruby-gpgme_2.0.16-1+b1_amd64.deb Ruby GPGME binding
ruby-grack_2.0.2-2_all.deb Git Smart HTTP Server Rack implementation in Ruby/Rack
ruby-graffiti_2.3.1-1_all.deb Relational RDF store for Ruby
ruby-grape-entity_0.7.1-1_all.deb Entity support to API frameworks, such as Grape
ruby-grape-logging_1.7.0-1_all.deb request logging support for Grape
ruby-grape-msgpack_0.2.0-1_all.deb MessagePack formatter for Grape framework
Advertisement
Advertisement